extends Node2D

@onready var collision_shape = $Area2D/CollisionShape2D

var velocity = 0
var force = 0
var height
var target_height

var _index = 0

func _ready():
	pass

signal splash

func water_update(spring_const, dampenning):
	height = position.y
	var x = height - target_height
	var loss = -dampenning * velocity
	force = -spring_const * x + loss
	velocity += force
	position.y += velocity

func initialize(x_pos, y_pos, idx):
	_index = idx
	position.x = x_pos
	position.y = y_pos
	height = position.y
	target_height = position.y
	velocity = 0
	print(global_position)

func _on_area_2d_area_entered(area):
	var speed = 10
	emit_signal("splash", _index, speed )
	print("water area entered")
